Repository 32bit  Forum
Repository 64bit  Wiki

Problema con GLX...

Usate questo forum per richieste di aiuto e consigli sull'hardware montato nelle vostre macchine con GNU/Linux Slackware.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata e la versione del Kernel. Questi dati aiutano le persone che possono rispondere.
2) Citare il tipo di hardware coinvolto in modo dettagliato.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT. Non usare termini gergali come procio, mobo e simili per identificare i componenti hardware.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Problema con GLX...

Messaggioda ky » gio dic 22, 2005 9:51

ciao a tutti, da quando ho installato il driver specifici per la mia scheda video (geforce4 mx 440, 64 M) non "funzionano" più le apps OpenGL o meglio, m'è saltato agli occhi dal fatto che gli screensaver GL... :cry: ..... m'hanno lasciato *sob*

NVIDIA X SERVER SETTINGS
The OpenGL extension 'GLX' is not supported by
the X server or there was a problem retrieving
GLX information from the X server.

[versione driver 1.0-8174]

Uso Slack 10.2 con kernel 2.6.14.4 e sono niubba ma non credo di aver settato male il kernel nella possibilità che l'errore dipenda da esso....

Codice: Seleziona tutto
# dmesg | tail     
agpgart: Device is in legacy mode, falling back to 2.x
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
agpgart: Found an AGP 3.5 compliant device at 0000:00:00.0.
agpgart: Device is in legacy mode, falling back to 2.x
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode


WAZ??? :?:
Any idea?
Avatar utente
ky
Linux 1.0
Linux 1.0
 
Messaggi: 39
Iscritto il: gio dic 22, 2005 9:21
Località: la spezia

Messaggioda clodo » gio dic 22, 2005 21:13

posta /etc/X11/xorg.conf e /var/log/nvidia-installer.log 8)
clodo
Linux 2.6
Linux 2.6
 
Messaggi: 511
Iscritto il: dom gen 23, 2005 0:00
Distribuzione: debian

Messaggioda rob » gio dic 22, 2005 21:33

glxinfo, pliiis, x curiosità

edit: ho una ati -> fglrxinfo -.-
Ultima modifica di rob il gio dic 22, 2005 22:21, modificato 1 volta in totale.
Avatar utente
rob
Linux 2.6
Linux 2.6
 
Messaggi: 924
Iscritto il: lun nov 22, 2004 0:00
Località: Roma

Messaggioda ky » gio dic 22, 2005 21:55

    Section "ServerLayout"
    Identifier "Simple Layout"
    Screen "Screen 1" 0 0
    InputDevice "Mouse1" "CorePointer"
    InputDevice "Keyboard1" "CoreKeyboard"
    EndSection
    Section "Files
    # The module search path. The default path is shown here.
    # ModulePath "/usr/X11R6/lib/modules"
    RgbPath "/usr/X11R6/lib/X11/rgb"
    FontPath "/usr/X11R6/lib/X11/fonts/misc/"
    FontPath "/usr/X11R6/lib/X11/fonts/TTF/"
    FontPath "/usr/X11R6/lib/X11/fonts/Type1/"
    FontPath "/usr/X11R6/lib/X11/fonts/CID/"
    FontPath "/usr/X11R6/lib/X11/fonts/75dpi/"
    FontPath "/usr/X11R6/lib/X11/fonts/100dpi/"
    FontPath "/usr/X11R6/lib/X11/fonts/local/"
    FontPath "/usr/X11R6/lib/X11/fonts/Speedo/"
    FontPath "/usr/X11R6/lib/X11/fonts/cyrillic/"
    EndSection

    Section "Module" This loads the GLX module
    # Load "dri"
    Load "dbe" # Double buffer extension
    SubSection "extmod"
    Option "omit xfree86-dga" # don't initialise the DGA extension
    EndSubSection
    Load "type1"
    # Load "speedo"
    Load "freetype"
    # Load "xtt"
    Load "glx"
    # This loads the DRI module
    EndSection

    Section "InputDevice"
    /*....*/
    Section "Monitor"
    Identifier "phi/mon"
    HorizSync 30.0 - 70.0
    VertRefresh 50.0 - 160.0
    EndSection

    Section "Device"
    Identifier "Standard VGA"
    Driver "vga"
    VendorName "Unknown"
    BoardName "Unknown"
    EndSection
    Section "Device"

    #VideoRam 65536
    # Insert Clocks lines here if appropriate
    Identifier "nv"
    Driver "nvidia"
    EndSection

    Section "Screen"
    Identifier "Screen 1"
    Device "nv"
    Monitor "phi/mon"
    DefaultDepth 24
    SubSection "Display"
    Viewport 0 0
    Depth 8
    Modes "1280x1024" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Viewport 0 0
    Depth 16
    Modes "1280x1024" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection "Display"
    Viewport 0 0
    Depth 24
    Modes "1280x1024" "1024x768" "800x600" "640x480"
    EndSubSection
    EndSection

    Section "Extensions"
    Option "Composite" "Enable"
    EndSection


fglrxinfo, pliiis, x curiosità


robbèèèèèèèèèèèèèèèè !!!!!!!!! .....puppa....

:twisted: :mrgreen:
Avatar utente
ky
Linux 1.0
Linux 1.0
 
Messaggi: 39
Iscritto il: gio dic 22, 2005 9:21
Località: la spezia

Messaggioda ky » gio dic 22, 2005 22:05

/var/log/nvidia-installer.log :
http://www.rafb.net/paste/results/oea09E15.html

un po' in ritardo ma è arrivato :lol:
Avatar utente
ky
Linux 1.0
Linux 1.0
 
Messaggi: 39
Iscritto il: gio dic 22, 2005 9:21
Località: la spezia

Messaggioda ky » gio dic 22, 2005 22:50

ho risolto, era un problema di conflitto con il mio Composite dell' xorg.conf

    Section "DRI"
    Mode 0666
    EndSection

    Load "dri"

    #Section "Extensions"
    # Option "Composite" "Enable"
    #EndSection


grazie x le dritte 8)
Avatar utente
ky
Linux 1.0
Linux 1.0
 
Messaggi: 39
Iscritto il: gio dic 22, 2005 9:21
Località: la spezia

Messaggioda clodo » ven dic 23, 2005 20:27

Buono, tieni presente che:
Remove the following lines:

Load "dri"
Load "GLCore"

In the Module section of the file, add the line (if it does not already exist):

Load "glx"
Perlomeno, questo è ciò che consiglia nvidia.
clodo
Linux 2.6
Linux 2.6
 
Messaggi: 511
Iscritto il: dom gen 23, 2005 0:00
Distribuzione: debian


Torna a Hardware

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti